Subject: Re: linux-next: manual merge of the akpm-current tree with the kselftest tree

From: Masami Hiramatsu <[email-masked]>
Date: Wed, 3 Jun 2020 19:03:06 +0900

Hi Stephen,

On Wed, 3 Jun 2020 18:29:01 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   tools/testing/selftests/sysctl/sysctl.sh
> 
> between commit:
> 
>   eee470e0739a ("selftests/sysctl: Fix to load test_sysctl module")
> 
> from the kselftest tree and patch:
> 
>   "tools/testing/selftests/sysctl/sysctl.sh: support CONFIG_TEST_SYSCTL=y"
> 
> from the akpm-current tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thank you for fixing this confliction, at least this fix looks good to me.
I think this (Vlatimil's patch) should be merged via Shuah's kselftest tree.

https://lkml.org/lkml/2020/4/27/921

This fix seems an independent fix.

Thank you,

> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc tools/testing/selftests/sysctl/sysctl.sh
> index c3459f9f2429,ce1eeea6f769..000000000000
> --- a/tools/testing/selftests/sysctl/sysctl.sh
> +++ b/tools/testing/selftests/sysctl/sysctl.sh
> @@@ -112,10 -122,9 +112,10 @@@ test_reqs(
>   
>   function load_req_mod()
>   {
> - 	if [ ! -d $DIR ]; then
> + 	if [ ! -d $DIR -a ! -d $SYSCTL ]; then
>   		if ! modprobe -q -n $TEST_DRIVER; then
> - 			echo "$0: module $TEST_DRIVER not found [SKIP]"
> + 			echo "$0: module $TEST_DRIVER not found and not built-in [SKIP]"
>  +			echo "You must set CONFIG_TEST_SYSCTL=m in your kernel" >&2
>   			exit $ksft_skip
>   		fi
>   		modprobe $TEST_DRIVER

-- 
Masami Hiramatsu <[email-masked]>